# Farm Fill Stations
The [Fieldwork Fill Station](https://github.com/GMNGjoy/FS22_FieldworkFillStation) was my first ever mod for Farming Simulator 22, which was submitted to ModHub &amp; accepted on Aug 30, 2022. As of the release of Farming Simulator 25, the _Fieldwork Fill Station_ has racked up over 277k downloads!

For FS25, I've updated the Fill Station to be everything that I've wanted, all in one mod. Both the normal _Fill Station_ and the _Free Fill Station_ also include a selling point for the same products underneath the spout. The _Fill Station Silo_ works as a normal silo for any product that it supports, as well as an trigger off to the side to pay to fill it with any amount of any supporting product.

## Four types

### Fieldwork
... for all your field work needs
- Fill Types: Seeds, Fertilizer, Lime, Liquid Fertilizer, Herbicide, Silage Additive, Manure, Slurry, Digestate, Free Water 

### Husbandry
... for all your animal feeding needs
- Fill Types: Wheat (Chickens), Oats (Horses), Pig Food (Pigs), Grass & Hay (Sheep, Cows), Total Mixed Ration (Cows), Mineral Food (Cows), Silage (Cows), Straw (Cows, Horses, Pigs), Free Water

### Liquid
... for all your liquid and gaseous supplies
- Fill Types: Milk, Buffalo Milk, Liquid Fertilizer, Herbicide, Silage Additive, Slurry, Digestate, Free Water 

### Bulk
... for everything that can be loaded bulk into a trailer

## Three Styles

### Fill Station 
*Detail:* 30% discount when buying all products, 30% bonus when selling!
*Category:* Containers
*Price:* $5,000
*Monthly upkeep:* $9

### Free Fill Station
*Detail:* Free Free FREE when buying, 30% bonus when selling!
*Category:* Containers
*Price:* $15,000
*Monthly upkeep:* $9

### Fill Station Silo
*Detail:* Standard silo with the ability to fill any containing product!
*Category:* Silos
*Capacity:* 100,000 L
*Price:* $10,000
*Monthly upkeep:* $9


## Multiple Customization Options
- All Fill Stations are colorable verison with dozens of color options, which can be further customized with the [Unlimited Color Configurations](https://www.farming-simulator.com/mod.php?mod_id=303885&title=fs2025) mod from Giants.
- _Rusty but trusty_ version (no custom colors)
- _Dark &amp; Rusty_ version (no custom colors)


## Description from the ModDesc
> Fill Stations for all of your farm & fieldwork needs!
> 
> Four different types are available:
> 
> "Fieldwork" for all your field work needs
> - Fill Types: Seeds, Fertilizer, Lime, Liquid Fertilizer, Herbicide, Silage Additive, Manure, Slurry, Digestate, Free Water 
> 
> "Husbandry" for all your animal feeding needs
> - Fill Types: Wheat (Chickens), Oats (Horses), Pig Food (Pigs), Grass & Hay (Sheep, Cows), Total Mixed Ration (Cows), Mineral Food (Cows), Silage (Cows), Straw (Cows, Horses, Pigs), Free Water
> 
> "Liquid" for all your liquid and gaseous supplies
> - Fill Types: Milk, Buffalo Milk, Liquid Fertilizer, Herbicide, Silage Additive, Slurry, Digestate, Free Water 
> 
> "Bulk" for everything that can be loaded bulk into a trailer
> 
> Three Styles are available:
> 
> Fill Station
> Detail: 30% discount when buying all products, 30% bonus when selling!
> Category: Containers
> Price: $5,000
> Monthly upkeep: $9
> Configurations: Visual (Colorable w/ 37 options | Rusty but trusty, Dark Rusted)
> 
> Free Fill Station
> Detail: Free Free FREE when buying, 30% bonus when selling!
> Category: Containers
> Price: $5,000
> Monthly upkeep: $9
> Configurations: Visual (Colorable w/ 37 options | Rusty but trusty, Dark Rusted)
> 
> Fill Station Silo
> Detail: Standard silo with the ability to fill any containing product!
> Category: Silos
> Capacity: 100,000 L
> Price: $10,000
> Monthly upkeep: $9
> Configurations: Visual (Colorable w/ 37 options | Rusty but trusty, Dark Rusted)
> 
> ... including alternate versions of each of the above "styles" for each "type.
> 
> For license & feedback, please visit
> GitHub link: https://github.com/GMNGjoy/FS25_FarmFillStations


## Installation Instructions
1. Download this package from either _GitHub_ on the releases page, or [ModHub](linkTBD), save the `FS22_FarmFillStations.zip` file into your mod folder.
2. Launch the game, and select the mod to load into the game
3. Place the building in game as normal, customize if desired, and use as you would expect. 
4. Don't forget to rate the mod in the downloadable content menu in-game!


## Screenshots

![Fill up your trailer or tools - at a 30% discount!](/_screenshots/screenshot_1_buy.png)
<br/><br/>

![Every Fill Station is also a sell station for the same products - with an extra 30% bonus!](/_screenshots/screenshot_2_sell.png)
<br/><br/>

![Fill up your tools directly; Pay a bit more for a Free Fill Station and never pay for products again!](/_screenshots/screenshot_3_free.png)
<br/><br/>

![Don't feel like farming to feed your animals? Buy everything you need at a Husbandry Fill Station!](/_screenshots/screenshot_4_husbandry.png)
<br/><br/>

![A Liquid FIll Station is a great source for all of your liquid needs - Water is always FREE at any of the Fill Stations.](/_screenshots/screenshot_5_liquids.png)
<br/><br/>

![A little short from the last harvest? Make up the difference with a Bulk FIll Station.](/_screenshots/screenshot_6_bulk.png)
<br/><br/>

![Dozens of colors or two "Rusty but trusty" styles to choose from for any Fill Station!](/_screenshots/screenshot_7_colors.png)


